Skip to main content
DELETE
/
v2
/
teams
/
{teamId}
/
memberships
/
{membershipId}
Delete a membership
curl --request DELETE \
  --url https://api.cal.com/v2/teams/{teamId}/memberships/{membershipId} \
  --header 'Authorization: <authorization>'
import requests

url = "https://api.cal.com/v2/teams/{teamId}/memberships/{membershipId}"

headers = {"Authorization": "<authorization>"}

response = requests.delete(url, headers=headers)

print(response.text)
const options = {method: 'DELETE', headers: {Authorization: '<authorization>'}};

fetch('https://api.cal.com/v2/teams/{teamId}/memberships/{membershipId}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "status": "success",
  "data": {
    "id": 123,
    "userId": 123,
    "teamId": 123,
    "accepted": true,
    "user": {
      "email": "<string>",
      "avatarUrl": "<string>",
      "username": "<string>",
      "name": "<string>",
      "bio": "<string>",
      "metadata": {
        "key": "value"
      }
    },
    "disableImpersonation": true
  }
}

Headers

Authorization
string
required

value must be Bearer <token> where <token> is api key prefixed with cal_

Path Parameters

teamId
number
required
membershipId
number
required

Response

200 - application/json
status
enum<string>
required
Available options:
success,
error
Example:

"success"

data
object
required